%define _libexecdir	%_prefix/libexec
%define MOUNT_DIR /media

Name: libgpod4
Version: 0.7.94
Release: alt1

Summary: iPod access library
Group: Sound
License: %lgpl3plus
URL: http://www.gtkpod.org/libgpod

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar

Provides: libgpod = %version-%release
Obsoletes: libgpod < 0.7

PreReq: hal >= 0.5
BuildPreReq: python-modules-encodings python-module-eyeD3 python-devel libhal-devel
BuildPreReq: libgtk-sharp2

# Automatically added by buildreq on Wed Jan 21 2009
BuildRequires: gcc-c++ libgio-devel libgtk+2-common-devel libsgutils-devel libtag-devel libxml2-devel perl-XML-Parser python-module-mutagen python-module-pygobject-devel swig
BuildRequires: glibc-devel-static gtk-doc intltool libimobiledevice-devel libsqlite3-devel
BuildRequires: rpm-build-licenses

Provides: libgpod = %version

%description
libgpod is a library meant to abstract access to an iPod content. It
provides an easy to use API to retrieve the list of files and playlist
stored on an iPod, to modify them and to save them back to the iPod.

%package -n libgpod-devel
Summary: Development files for libgpod
Group: Development/C
Requires: %name = %version-%release

%description -n libgpod-devel
Files needed to develop applications that use libgpod,
an iPod access library.

%package -n libgpod-devel-doc
Summary: Development documentation for libgpod
Group: Development/C
BuildArch: noarch

%description -n libgpod-devel-doc
API documentation in gtk-doc format for libgpod,
an iPod access library.

%package -n python-module-gpod
Summary: Python bindings for libgpod
Group: Development/Python
Requires: %name = %version-%release
Obsoletes: python-modules-gpod < %version-%release
Provides: python-modules-gpod = %version-%release

%description -n python-module-gpod
Python bindings for libgpod, an iPod access library.

%prep
%setup

%build
%ifarch arm
sed 's/-Wcast-align//' -i configure.ac
%endif
%autoreconf
sed -i "s|\(SWIG=\).*|\1'swig'|" configure
pushd bindings/python
sed -i "s|@HAVE_PYTHON_TRUE@||" Makefile.in
sed -i "s|@HAVE_PYTHON_FALSE@)|#|" Makefile.in
popd
%configure \
	--disable-static \
    --enable-gtk-doc \
		--enable-pygobject \
    --with-libimobiledevice \
	--with-hal-callouts-dir=%_libexecdir/hal \
    --with-temp_mount_dir="%MOUNT_DIR"

%make_build

pushd bindings/python
%make_build
popd

%install
%makeinstall_std

pushd bindings/python
%makeinstall_std
popd

rm -f %buildroot%python_sitelibdir/gpod/*.la

%find_lang libgpod

%files -f libgpod.lang
%_bindir/ipod-read-sysinfo-extended
%_libdir/*.so.*
%_libexecdir/hal/libgpod*
%_libexecdir/hal/iphone-callout
%_datadir/hal/fdi/policy/*/*.fdi

%files -n libgpod-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*

%files -n libgpod-devel-doc
%_datadir/gtk-doc/html/*

%files -n python-module-gpod
%python_sitelibdir/gpod

%changelog
* Fri Sep 24 2010 Andriy Stepanov <stanv@altlinux.ru> 0.7.94-alt1
- New version

* Mon Aug 02 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.93-alt4
- Fixed packaging of python-module-gpod

* Sat Apr 10 2010 Andriy Stepanov <stanv@altlinux.ru> 0.7.93-alt3
- Pack missing files

* Sat Apr 10 2010 Andriy Stepanov <stanv@altlinux.ru> 0.7.93-alt2
- Update BuildRequires

* Sat Apr 10 2010 Andriy Stepanov <stanv@altlinux.ru> 0.7.93-alt1
- Update to new version.

* Wed Nov 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.7.2-alt1.1
- Rebuilt with python 2.6

* Mon Aug 24 2009 Anton Protopopov <aspsk@altlinux.org> 0.7.2-alt1
- Update to 0.7.2

* Wed Apr 08 2009 Anton Protopopov <aspsk@altlinux.org> 0.7.0-alt7
- Provide right package

* Wed Apr 08 2009 Anton Protopopov <aspsk@altlinux.org> 0.7.0-alt6
- Rename package: SharedLibsPolicy

* Mon Apr 06 2009 Anton Protopopov <aspsk@altlinux.org> 0.7.0-alt5
- 0.7.0-alt5

* Tue Mar 24 2009 Anton Protopopov <aspsk@altlinux.org> 0.7.0-alt2
- renamed python-modules-gpod to python-module-gpod (shrek@)

* Wed Jan 21 2009 Anton Protopopov <aspsk@altlinux.org> 0.7.0-alt1
- 0.7.0
- Updated BuildRequires

* Wed Jan 21 2009 Anton Protopopov <aspsk@altlinux.org> 0.6.0-alt3
- Gearify

* Mon Oct 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 0.6.0-alt2
- fixed build with gcc4.3

* Sun Nov 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Aug 21 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.5.2-alt1
- 0.5.2

* Tue Feb 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.4.2-alt1
- 0.4.2
- added libgpod-0.4.2-alt-gpod-link.patch

* Sun Sep 24 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.4.0-alt1
- Release 0.4.0
- Added libgpod-devel-doc package
- Added python-modules-gpod package

* Fri Mar 17 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.2-alt1
- Initial release for Sisyphus
